<!DOCTYPE html>
<html lang="ru">
<head>
    <title><?php $this->title(); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php $this->addMainTplCSSName('theme-text'); ?>
    <?php $this->addMainTplCSSName('theme-layout'); ?>
    <?php $this->addMainTplCSSName('theme-gui'); ?>
    <?php $this->addMainTplCSSName('theme-widgets'); ?>
    <?php $this->addMainTplCSSName('theme-content'); ?>
    <?php $this->addMainTplCSSName('theme-modal'); ?>
    <?php $this->addMainTplCSSName('styles'); ?>
    <?php $this->addMainTplJSName('jquery', true); ?>
    <?php $this->addMainTplJSName('jquery-modal'); ?>
    <?php $this->addMainTplJSName('core'); ?>
    <?php $this->addMainTplJSName('modal'); ?>
    <?php if (cmsUser::isLogged()){ ?>
        <?php $this->addMainTplJSName('messages'); ?>
    <?php } ?>
    <?php if ($config->debug && cmsUser::isAdmin()){ ?>
        <?php $this->addTplCSSName('debug'); ?>
    <?php } ?>
    <?php $this->head(); ?>
    <meta name="csrf-token" content="<?php echo cmsForm::getCSRFToken(); ?>" />
    <meta name="generator" content="InstantCMS" />
    <style><?php include('options.css.php'); ?></style>
</head>
<body id="<?php echo $device_type; ?>_device_type" class="kt_con_<?php echo $core->controller; ?> kt_act_<?php echo $core->uri_action; ?>">

<?php if(isset($this->options['main_after_body'])){ echo $this->options['main_after_body']; } ?>

    <?php if (!$config->is_site_on){ ?>
            <div id="site_off_notice">
                <?php if (cmsUser::isAdmin()){ ?>
                    <?php printf(ERR_SITE_OFFLINE_FULL, href_to('admin', 'settings', 'siteon')); ?>
                <?php } else { ?>
                    <?php echo ERR_SITE_OFFLINE; ?>
                <?php } ?>
            </div>
        <?php } ?>

    <div id="body">

    	<?php if($this->hasWidgetsOn('start')) { ?>

            <div class="kt_start">
                <?php $this->widgets('start', false, 'wrapper_plain'); ?>
            </div>

        <?php } ?>

		<div class="kt_block1">
	    	<div class="kt_width">
	            <?php if($this->hasWidgetsOn('top-left', 'top-right')) { ?>
	            <div class="kt_top_menu">
					<div class="kt_menus kt_menu1"><?php $this->widgets('top-left', false, 'wrapper_plain'); ?></div>
					<div class="kt_menus kt_menu2"><?php $this->widgets('top-right', false, 'wrapper_plain'); ?></div>
				</div>
	            <?php } ?>
	    	</div>
    	</div>

    	<div class="kt_block2">
	    	<div class="kt_header kt_width">
				<div class="kt_brand">
					<div class="kt_logo">
						<a href="<?php echo href_to_home(); ?>">
							<?php if(empty($this->options['logo_text'])) { ?>
								<?php echo !empty($this->options['logo']) ? '<img class="kt_logo_img" src="'.$config->upload_root . $this->options['logo']['original'].'" alt="'.cmsConfig::get('sitename').'" title="'.cmsConfig::get('sitename').'" />' : '<img src="'.$config->host.'/templates/'.$this->name.'/images/logo.png" alt="" />'; ?>
							<?php } else { ?>
								<?php echo $this->options['logo_text']; ?>
							<?php } ?>
						</a>
					</div>
					<div class="kt_header_right"><?php $this->widgets('header', false, 'wrapper_plain'); ?></div>
				</div>
	    	</div>
    	</div>

		<div class="kt_block3">
	    	<div class="kt_width">
				<?php if($this->hasWidgetsOn('top-menu')) { ?>
		            <nav>
		                <?php $this->widgets('top-menu', false, 'wrapper_plain'); ?>
		            </nav>
		        <?php } ?>
	    	</div>
    	</div>

        <?php
        $messages = cmsUser::getSessionMessages();
        if ($messages){ ?>
        <div class="kt_block4">
            <div class="sess_messages kt_width mb10">
                <?php foreach($messages as $message){ ?>
                    <div class="message_<?php echo $message['class']; ?>"><?php echo $message['text']; ?></div>
                <?php } ?>
            </div>
        </div>
        <?php } ?>

		<div class="kt_block5">
	        <div class="kt_width">
	            <?php $this->widgets('top'); ?>
	        </div>
        </div>

        <?php if($this->hasWidgetsOn('top1', 'top2', 'top3', 'top4')) { ?>
        <div class="kt_block6">
            <aside>
            <div class="kt_width">
                <div class="kt_monoblock">

                <?php
                    $n=0;
                    if($this->hasWidgetsOn('top1')) $n++;
                    if($this->hasWidgetsOn('top2')) $n++;
                    if($this->hasWidgetsOn('top3')) $n++;
                    if($this->hasWidgetsOn('top4')) $n++;
                    switch($n){
                        case 1: $tw = '100%'; break;
                        case 2: $tw = '50%'; echo '<style>@media screen and (max-width: 520px){.kt_tw{width:100% !important;}}</style>'; break;
                        case 3: $tw = '33.33%'; echo '<style>@media screen and (max-width: 1000px){.kt_tw{width:50% !important;}}@media screen and (max-width: 520px){.kt_tw{width:100% !important;}}</style>'; break;
                        case 4: $tw = '25%'; echo '<style>@media screen and (max-width: 1000px){.kt_tw{width:50% !important;}}@media screen and (max-width: 520px){.kt_tw{width:100% !important;}}</style>'; break;
                    }
                ?>

                <?php if($this->hasWidgetsOn('top1')) { ?>
                    <div class="kt_tw kt_tw_1" style="width:<?php echo $tw; ?>;">
                        <?php $this->widgets('top1'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('top2')) { ?>
                    <div class="kt_tw kt_tw_2" style="width:<?php echo $tw; ?>;">
                        <?php $this->widgets('top2'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('top3')) { ?>
                    <div class="kt_tw kt_tw_3" style="width:<?php echo $tw; ?>;">
                        <?php $this->widgets('top3'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('top4')) { ?>
                    <div class="kt_tw kt_tw_4" style="width:<?php echo $tw; ?>;">
                        <?php $this->widgets('top4'); ?>
                    </div>
                <?php } ?>

                </div>
            </div>
            </aside>
        </div>
        <?php } ?>

		<div class="kt_block7">
	        <div class="kt_width">
	            <div class="kt_body_center">
					<section>
	                <?php $this->widgets('main-top'); ?>

	                    <?php if ($this->isBody()){ ?>
	                        <article>
	                            <?php if ($config->show_breadcrumbs && $core->uri && $this->isBreadcrumbs()){ ?>
	                                <div id="breadcrumbs">
	                                    <?php $this->breadcrumbs(array('strip_last'=>false)); ?>
	                                </div>
	                            <?php } ?>
	                            <div id="controller_wrap">
	                            	<?php $this->block('before_body'); ?>
	                            	<?php $this->body(); ?>
	                            </div>
	                        </article>
	                    <?php } ?>
	                <?php $this->widgets('main-bottom'); ?>
					</section>
	            </div>
	            <?php
	                $is_left = $this->hasWidgetsOn('left-top', 'left-center', 'left-bottom');
	                $is_right = $this->hasWidgetsOn('right-top', 'right-center', 'right-bottom');
	                if($is_left && $is_right) echo '<style>.kt_body_center{width:700px;}@media screen and (max-width: 1200px){.kt_body_center{width:500px;}}@media screen and (max-width: 1000px){.kt_right_pos.kt_sidebar{width:100%;}.kt_body_center{width:550px;}}@media screen and (max-width: 800px){.kt_right_pos.kt_sidebar{width:49%;}.kt_left_pos.kt_sidebar{width:49%;}.kt_body_center{width:100%;}}</style>';
	                elseif($is_left || $is_right) echo '<style>.kt_body_center{width:950px;}@media screen and (max-width:1200px){.kt_body_center{width:750px;}}@media screen and (max-width: 1000px){.kt_body_center{width:550px;}}@media screen and (max-width: 800px){.kt_right_pos.kt_sidebar{width:100%;}.kt_left_pos.kt_sidebar{width:100%;}.kt_body_center{width:100%;}}</style>';
	                else echo '<style>.kt_body_center{width:100%;}</style>';
	            ?>
	            <?php if($is_left){ ?>
	            <aside>
	                <div class="kt_left_pos kt_sidebar">
	                    <div id="widget_pos_left-top"><?php $this->widgets('left-top'); ?></div>
	                    <div id="widget_pos_left-center"><?php $this->widgets('left-center'); ?></div>
	                    <div id="widget_pos_left-bottom"><?php $this->widgets('left-bottom'); ?></div>
	                </div>
	            </aside>
	            <?php } ?>
	            <?php if($is_right){ ?>
	            <aside>
	                <div class="kt_right_pos kt_sidebar">
	                    <div id="widget_pos_right-top"><?php $this->widgets('right-top'); ?></div>
	                    <div id="widget_pos_right-center"><?php $this->widgets('right-center'); ?></div>
	                    <div id="widget_pos_right-bottom"><?php $this->widgets('right-bottom'); ?></div>
	                </div>
	            </aside>
	            <?php } ?>
	        </div>
        </div>

		<div class="kt_block8">
	        <div class="kt_width">
	            <?php $this->widgets('bottom'); ?>
	        </div>
        </div>

        <?php if($this->hasWidgetsOn('bottom1', 'bottom2', 'bottom3', 'bottom4')) { ?>
        <div class="kt_block9">
            <aside>
            <div class="kt_width">
                <div class="kt_monoblock">

                <?php
                    $n=0;
                    if($this->hasWidgetsOn('bottom1')) $n++;
                    if($this->hasWidgetsOn('bottom2')) $n++;
                    if($this->hasWidgetsOn('bottom3')) $n++;
                    if($this->hasWidgetsOn('bottom4')) $n++;
                    switch($n){
                        case 1: $bw = '100%'; break;
                        case 2: $bw = '50%'; echo '<style>@media screen and (max-width: 520px){.kt_bw{width:100% !important;}}</style>'; break;
                        case 3: $bw = '33.33%'; echo '<style>@media screen and (max-width: 1000px){.kt_bw{width:50% !important;}}@media screen and (max-width: 520px){.kt_bw{width:100% !important;}}</style>'; break;
                        case 4: $bw = '25%'; echo '<style>@media screen and (max-width: 1000px){.kt_bw{width:50% !important;}}@media screen and (max-width: 520px){.kt_bw{width:100% !important;}}</style>'; break;
                    }
                ?>

                <?php if($this->hasWidgetsOn('bottom1')) { ?>
                    <div class="kt_bw kt_bw_1" style="width:<?php echo $bw; ?>;">
                        <?php $this->widgets('bottom1'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('bottom2')) { ?>
                    <div class="kt_bw kt_bw_2" style="width:<?php echo $bw; ?>;">
                        <?php $this->widgets('bottom2'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('bottom3')) { ?>
                    <div class="kt_bw kt_bw_3" style="width:<?php echo $bw; ?>;">
                        <?php $this->widgets('bottom3'); ?>
                    </div>
                <?php } ?>

                <?php if($this->hasWidgetsOn('bottom4')) { ?>
                    <div class="kt_bw kt_bw_4" style="width:<?php echo $bw; ?>;">
                        <?php $this->widgets('bottom4'); ?>
                    </div>
                <?php } ?>

                </div>
            </div>
            </aside>
        </div>
        <?php } ?>

		<?php if($this->hasWidgetsOn('footer')) { ?>
		<div class="kt_block10">
	        <div class="kt_width">
	            <footer>
	                <div id="widget_pos_footer_menu"><?php $this->widgets('footer', false, 'wrapper_plain'); ?></div>
	            </footer>
	        </div>
        </div>
        <?php } ?>

        <?php if($this->hasWidgetsOn('end')) { ?>
		<div class="kt_block11">
            <div class="kt_width kt_end">
                <?php $this->widgets('end', false, 'wrapper_plain'); ?>
            </div>
		</div>
        <?php } ?>

        <?php if ($config->debug && cmsUser::isAdmin()){ ?>
            <div id="debug_block">
                <?php $this->renderAsset('ui/debug', array('core' => $core)); ?>
            </div>
        <?php } ?>

		<div class="kt_block12">
	        <div class="kt_width kt_copy">
	            <span class="item">
	                <a href="<?php echo $this->options['owner_url'] ? $this->options['owner_url'] : href_to_home(); ?>">
	                    <?php html(!empty($this->options['owner_name']) ? $this->options['owner_name'] : cmsConfig::get('sitename')); ?>
	                </a> &copy; <?php echo !empty($this->options['owner_year']) ? $this->options['owner_year'] : date('Y'); ?>
	            </span>
	            <span class="item">
	                <a href="http://instantcms.su" title="Шаблон SiteStroi">SiteStroi Template</a>
	            </span>
	            <?php if ($config->debug && cmsUser::isAdmin()){ ?>
	                <span class="item">
	                    <a href="#debug_block" title="<?php echo LANG_DEBUG; ?>" class="ajax-modal"><?php echo LANG_DEBUG; ?></a>
	                </span>
	                <span class="item">
	                    Time: <?php echo cmsDebugging::getTime('cms', 4); ?> s
                    </span>
                    <span class="item">
                        Mem: <?php echo round(memory_get_usage(true)/1024/1024, 2); ?> Mb
	                </span>
	            <?php } ?>
	        </div>
	    </div>
    </div>

<?php if(isset($this->options['main_footer'])){ echo $this->options['main_footer']; } ?>

<?php $this->bottom(); ?>

</body>
</html>