<?php

class formKtplTemplateOptions extends cmsForm {

	public $is_tabbed = true;

    public function init() {

        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_PAGE_LOGO,
                'childs' => array(
                    new fieldImage('logo', array(
                        'options' => array(
                            'sizes' => array('small', 'original')
                        )
                    )),
                )
            ),

            array(
                'type' => 'fieldset',
                'title' => 'Настройка',
                'childs' => array(

                	new fieldString('logo_text', array(
                        'title' => 'Текст вместо лого'
                    )),

                    new fieldList('sidebar_pos', array(
                        'title' => 'Расположение сайдбаров',
                        'items' => array(
                        	'null' => 'По сторонам',
                        	'left' => 'Слева',
                        	'right' => 'Справа'
                        	)
                    )),

                )
            ),

            array(
                'type' => 'fieldset',
                'title' => LANG_KTPL_THEME_COPYRIGHT,
                'childs' => array(

                    new fieldString('owner_name', array(
                        'title' => LANG_TITLE
                    )),

                    new fieldString('owner_url', array(
                        'title' => LANG_KTPL_THEME_COPYRIGHT_URL,
                        'hint' => LANG_KTPL_THEME_COPYRIGHT_URL_HINT
                    )),

                    new fieldString('owner_year', array(
                        'title' => LANG_KTPL_THEME_COPYRIGHT_YEAR,
                        'hint' => LANG_KTPL_THEME_COPYRIGHT_YEAR_HINT
                    )),

                )
            ),

            array(
				'type' => 'fieldset',
				'title' => 'Ссылки',
				'childs' => array(
				
					new fieldColor('links_color', array(
						'title' => 'Цвет ссылок',
					)),

					new fieldColor('links_hover_color', array(
						'title' => 'Цвет ссылок при наведении',
					)),

					new fieldCheckbox('links_underline', array(
						'title' => 'Подчеркивание ссылок',
						'default' => true
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Фон',
				'childs' => array(
				
					new fieldColor('body_color', array(
						'title' => 'Цвет фона',
					)),

					new fieldImage('body_bg_image', array(
						'title' => 'Фоновое изображение сайта',
						'options' => array(
							'sizes' => array('small', 'original'),
							'allow_import_link' => true
						)
					)),

					new fieldList('body_bg_image_pos', array(
						'title' => 'Расположение фона',
						'items' => array(
							'top' => 'По центру вверху',
							'top left' => 'В левом верхнем углу',
							'right top' => 'В правом верхнем углу',
							'left' => 'По левому краю и по центру',
							'center' => 'По центру',
							'right' => 'По правому краю и по центру',
							'bottom left' => 'В левом нижнем углу',
							'bottom' => 'По центру внизу',
							'bottom right' => 'В правом нижнем углу'
						)
					)),

					new fieldList('body_bg_image_repeat', array(
						'title' => 'Повторять фон',
						'items' => array(
							'repeat' => 'Повторять фон',
							'no-repeat' => 'Не повторять',
							'repeat-x' => 'Повторять по горизонтали',
							'repeat-y' => 'Повторять по вертикали'
						)
					)),

					new fieldList('body_bg_image_size', array(
						'title' => 'Размер фонового изображения',
						'items' => array(
							'auto' => 'Авто',
							'cover' => 'Заполнить',
							'contain' => 'Полностью'
						)
					)),

					new fieldCheckbox('body_bg_image_fix', array(
						'title' => 'Зафиксировать фон',
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Шапка',
				'childs' => array(
				
					new fieldNumber('brand_width', array(
						'title' => 'Высота шапки сайта',
						'hint' => 'В px (пикселях). Если не указано используется 100px'
					)),

					new fieldColor('brand_color', array(
						'title' => 'Цвет фона шапки',
					)),

					new fieldImage('brand_bg_image', array(
						'title' => 'Фоновое изображение шапки',
						'options' => array(
							'sizes' => array('small', 'original'),
							'allow_import_link' => true
						)
					)),

					new fieldList('brand_bg_image_pos', array(
						'title' => 'Расположение фона',
						'items' => array(
							'top' => 'По центру вверху',
							'top left' => 'В левом верхнем углу',
							'right top' => 'В правом верхнем углу',
							'left' => 'По левому краю и по центру',
							'center' => 'По центру',
							'right' => 'По правому краю и по центру',
							'bottom left' => 'В левом нижнем углу',
							'bottom' => 'По центру внизу',
							'bottom right' => 'В правом нижнем углу'
						)
					)),

					new fieldList('brand_bg_image_repeat', array(
						'title' => 'Повторять фон',
						'items' => array(
							'repeat' => 'Повторять фон',
							'no-repeat' => 'Не повторять',
							'repeat-x' => 'Повторять по горизонтали',
							'repeat-y' => 'Повторять по вертикали'
						)
					)),

					new fieldList('brand_bg_image_size', array(
						'title' => 'Размер фонового изображения',
						'items' => array(
							'auto' => 'Авто',
							'cover' => 'Заполнить',
							'contain' => 'Полностью'
						)
					)),

					new fieldCheckbox('body_bg_off', array(
						'title' => 'Отключить фоновое изображение',
					)),

					new fieldNumber('logo_margin_top', array(
						'title' => 'Отступ логотипа сверху',
						'hint' => 'В px (пикселях).'
					)),

					new fieldNumber('logo_margin_left', array(
						'title' => 'Отступ логотипа слева',
						'hint' => 'В px (пикселях).'
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Виджеты',
				'childs' => array(

					new fieldNumber('widget_title_height', array(
						'title' => 'Высота заголовков, px',
					)),

					new fieldNumber('widget_title_font_size', array(
						'title' => 'Размер шрифта, px',
					)),
				
					new fieldColor('widget_title_bg_color', array(
						'title' => 'Цвет фона заголовка',
					)),

					new fieldColor('widget_title_text_color', array(
						'title' => 'Цвет текста заголовка',
					)),

					new fieldColor('widget_title_link_bg_color', array(
						'title' => 'Цвет фона ссылок в заголовках',
					)),

					new fieldColor('widget_title_link_bg_hover_color', array(
						'title' => 'Цвет фона ссылок в заголовках при наведении',
					)),

					new fieldColor('widget_title_link_text_color', array(
						'title' => 'Цвет текста ссылок заголовках',
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Главное меню',
				'childs' => array(
				
					new fieldNumber('m_menu_height', array(
						'title' => 'Высота меню, px',
					)),

					new fieldColor('m_menu_bg_color', array(
						'title' => 'Цвет фона',
					)),

					new fieldCheckbox('m_menu_no_bg', array(
						'title' => 'Прозрачный фон меню',
					)),

					new fieldColor('m_menu_bg_hover_color', array(
						'title' => 'Цвет фона при наведении',
					)),

					new fieldColor('m_menu_bg_active_color', array(
						'title' => 'Цвет фона активного пункта',
					)),

					new fieldNumber('m_menu_font_size', array(
						'title' => 'Размер шрифта, px',
					)),

					new fieldColor('m_menu_font_color', array(
						'title' => 'Цвет шрифта',
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Верхнее меню',
				'childs' => array(
				
					new fieldColor('t_menu_bg_color', array(
						'title' => 'Цвет фона',
					)),

					new fieldCheckbox('t_menu_no_bg', array(
						'title' => 'Прозрачный фон меню',
					)),

					new fieldColor('t_menu_font_color', array(
						'title' => 'Цвет ссылок',
					)),

					new fieldColor('t_menu_font_hover_color', array(
						'title' => 'Цвет при наведении',
					)),

					new fieldColor('t_menu_font_active_color', array(
						'title' => 'Цвет активного пункта',
					)),

					new fieldNumber('t_menu_font_size', array(
						'title' => 'Размер шрифта, px',
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Нижнее меню',
				'childs' => array(
				
					new fieldColor('f_menu_bg_color', array(
						'title' => 'Цвет фона',
					)),

					new fieldCheckbox('f_menu_no_bg', array(
						'title' => 'Прозрачный фон меню',
					)),

					new fieldColor('f_menu_font_color', array(
						'title' => 'Цвет ссылок',
					)),

					new fieldColor('f_menu_font_hover_color', array(
						'title' => 'Цвет при наведении',
					)),

					new fieldNumber('f_menu_font_size', array(
						'title' => 'Размер шрифта, px',
					)),
			
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Body start',
				'childs' => array(
					
					new fieldText('main_after_body', array(
						'title' => 'Пользовательский html сразу после открывающегося тега body',
					)),
					
				)
				
			),

			array(
				'type' => 'fieldset',
				'title' => 'Body end',
				'childs' => array(
					
					new fieldText('main_footer', array(
						'title' => 'Пользовательский html код перед закрывающим тегом body</style>',
					)),
					
				)
				
			),

        );

    }

}
